@tsconfig/docusaurus

2.0.3 • Public • Published

A base TSConfig for working with Docusaurus v2.

Add the package to your "devDependencies":

npm install --save-dev @tsconfig/docusaurus
yarn add --dev @tsconfig/docusaurus

Add to your tsconfig.json:

"extends": "@tsconfig/docusaurus/tsconfig.json"

NOTE: You may need to add "baseUrl": "." to your tsconfig.json to support proper file resolution.


The tsconfig.json:

{
  "$schema": "https://json.schemastore.org/tsconfig",
  "docs": "https://v2.docusaurus.io/docs/typescript-support",
  "_version": "2.0.0",
  
  "compilerOptions": {
    "allowJs": true,
    "esModuleInterop": true,
    "jsx": "react",
    "lib": ["dom"],
    "module": "esnext",
    "moduleResolution": "bundler",
    "noEmit": true,
    "types": ["node", "@docusaurus/module-type-aliases", "@docusaurus/theme-classic"],
    "baseUrl": ".",
    "paths": {
      "@site/*": ["./*"]
    },
    "skipLibCheck": true
  }
}

You can find the code here.

Readme

Keywords

Package Sidebar

Install

npm i @tsconfig/docusaurus

Weekly Downloads

57,139

Version

2.0.3

License

MIT

Unpacked Size

2.97 kB

Total Files

4

Last publish

Collaborators

  • orta
  • typescript-deploys